## nova 14.0.1

=== debian/changelog ===
nova (2:14.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Oct 2016 07:53:11 -0400

nova (2:14.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.
  * d/t/nova-compute-daemons: Skip test execution if running within a
    container, ensuring that autopkgtests don't fail on armhf and s390x.
  * d/t/control,nova-compute-daemons: Don't install nova-compute as part
    of the autopkgtest control setup, direct install hypervisor specific
    nova-compute packages ensuring packages are configured in the correct
    order and that nova-compute can access the libvirt socket.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Oct 2016 08:48:28 +0100

nova (2:14.0.0~rc2-0ubuntu3) yakkety; urgency=medium

  * d/p/libvirt-add-hugepages-support-for-arm64.patch (LP: #1623871).
  * d/t/nova-compute-daemons: Restore old timeout for pid
    detection on autopkgtests, try all daemons before exiting, and dump
    nova-compute log on failure.
  * d/nova.conf: Various updates to align with Newton config options.

 -- dann frazier <dannf.frazier@canonical.com>  Wed, 05 Oct 2016 15:23:36 -0600

nova (2:14.0.0~rc2-0ubuntu2) yakkety; urgency=medium

  * d/t/nova-compute-daemons: Bump timeout for pid detection
    as autopkgtests are timing out on some architectures.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Oct 2016 12:11:43 -0400

nova (2:14.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * Refresh patches.

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).
  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 11:03:58 -0400

nova (2:14.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  * d/p/wsgi-intercept.patch: Cherry pick patch to disable runtime
    requirement on wsgi-intercept (LP: #1625653).

 -- James Page <james.page@ubuntu.com>  Tue, 20 Sep 2016 21:09:38 +0100

nova (2:14.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 08:59:39 -0400

nova (2:14.0.0~b4~dev96-0ubuntu1) yakkety; urgency=medium

  * d/control: add Suggests: rsync to nova-compute-libvirt, which may
    optionally use rsync for migration of instance disks between compute
    hosts (LP: #1534662).
  * New upstream snapshot in preparation for RC (LP: #1608934).

 -- James Page <james.page@ubuntu.com>  Tue, 13 Sep 2016 20:29:05 +0100

nova (2:14.0.0~b3-0ubuntu2) yakkety; urgency=medium

  * Add timeout to the nova-daemons autopkgtest, to get it to pass more
    reliably on s390x. LP: #1618812

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Sep 2016 11:10:08 +0100

nova (2:14.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/rules: Add PBR_VERSION to set correct distro version for package build.

  [ James Page ]
  * New upstream version.
  * d/rules: Limit test execution to unit tests for package build.
  * d/tests/control: Add rabbitmq-server to dependencies for testing, avoiding
    autopkgtest failures (LP: #1602103).
  * d/tests/control,nova-daemons,nova-clients: Drop nova-clients test, test
    nova-api as part of nova-daemons.

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Add python-oslo.privsep to (Build-)Depends.
  * New upstream version.

  [ James Page ]
  * d/control,nova-placement-api.*: Add binary package for new Nova placement
    API for managing resource providers.
  * New upstream release.
  * d/nova-common.install: Install nova-policy binary.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 10:23:10 +0100

nova (2:14.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/nova-common.postinst: Drop calls to usermod to change group of
    nova user from nogroup -> nova; this switch happened way back in
    time and can safely be dropped (LP: #1585794).
  * d/p/fix-asserts.patch: Drop, included upstream.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/fix-parameters-to-migrateToURI3.patch: Dropped. Included upstream.
  * d/p/add-get-job-info.patch: Dropped. Included upstream.
  * d/p/fix-block-migration.patch: Dropped. Included upstream.
  * d/p/arm-console-patch.patch: Rebased.
  * d/control: Bump min python-fixtures to 3.0.0.

  [ James Page ]
  * d/control: Switch BD on websockify -> python-websockify.
  * New upstream version.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 11:35:16 -0400

nova (2:14.0.0~b1-0ubuntu3) yakkety; urgency=medium

  * Include changes from 2:13.0.0-0ubuntu4:
    - Prefer qemu-kvm, now that that correctly exists on all arches.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Jun 2016 20:43:29 -0400

nova (2:14.0.0~b1-0ubuntu2) yakkety; urgency=medium

  * d/p/fix-block-migration.patch: Cherry pick and rebase patch from
    upstream master branch to fix block migration (LP: #1576093).
  * d/p/add-get-job-info.patch, d/p/fix-parameters-to-migrateToURI3.patch:
    Cherry pick and rebase from upstream master branch in support of
    fix-block-migration.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Jun 2016 15:26:03 -0400

nova (2:14.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/control,d/p/disable-websockify-tests.patch: Add BD on websockify,
    drop patch to skip tests.
  * d/p/doc-conf-git.patch: Drop, no longer needed.
  * d/p/neutron-floating-ip-list.patch: Dropped, fixed upstream.
  * d/control: Add python-microversion-parse to (Build-)Depends.
  * d/rules: Switch to using ostestr for test execution.


=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37ubuntu3~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     bandit,
                     genisoimage,
                     openssh-client,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-boto (>= 2.32.1),
                     python-castellan (>= 0.4.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 3.6),
                     python-cryptography (>= 1.0),
                     python-decorator (>= 3.4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-ironicclient (>= 1.1.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-microversion-parse (>= 0.1.2),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 4.2.0),
                     python-os-brick (>= 1.6.1),
                     python-os-testr (>= 0.7.0),
                     python-os-vif (>= 1.1.0),
                     python-os-win (>= 0.2.3),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.11.0),
                     python-oslo.versionedobjects (>= 1.9.1),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.16.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-prettytable (>= 0.7),
                     python-psutil (>= 1.1.1),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 0.7.0),
                     python-rfc3986 (>= 0.2.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-websockify (>= 0.8.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Build-Conflicts: python-cjson,
Standards-Version: 3.9.6
Homepage: http://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         openssh-client,
         openssl,
         python-babel (>= 2.3.4),
         python-boto (>= 2.32.1),
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.6.0),
         python-cryptography (>= 1.0),
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.0.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml (>= 2.3),
         python-microversion-parse (>= 0.1.2),
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 4.2.0),
         python-os-brick (>= 1.6.1),
         python-os-vif (>= 1.1.0),
         python-os-win (>= 0.2.3),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.11.0),
         python-oslo.versionedobjects (>= 1.9.1),
         python-paramiko (>= 1.16.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-prettytable (>= 0.7),
         python-psutil (>= 1.1.1),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-rfc3986 (>= 0.2.0),
         python-routes (>= 1.12.3),
         python-setuptools (>= 16.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ldap,
Conflicts: python-cjson,
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides},
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         python-nova (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Recommends: python-glanceclient,
            python-keystone,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends: adduser,
         ebtables,
         genisoimage,
         iptables,
         kpartx,
         libvirt-bin,
         nova-compute (= ${binary:Version}),
         open-iscsi,
         parted,
         python-libvirt,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${python:Depends},
Suggests: guestmount,
          multipath-tools,
          rsync,
          sg3-utils,
          sysfsutils,
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This dependency package provides common dependencies and setup for all libvirt
 based hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}),
         ${misc:Depends},
Provides: nova-compute-hypervisor,
Conflicts: nova-compute-hypervisor,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many

## nova 14.0.7

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
boto>=2.32.1 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
WebOb>=1.2.3 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7 # BSD
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0 # LGPLv2.1+
Babel>=2.3.4 # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=34.3.3,>=16.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
rfc3986>=0.2.2 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
psutil<2.0.0,>=1.1.1 # BSD
oslo.versionedobjects>=1.13.0 # Apache-2.0
os-brick>=1.6.1 # Apache-2.0
os-vif>=1.1.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0
castellan>=0.4.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0

=== debian/changelog ===
nova (2:14.0.7-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton (LP: #1696133).
  * d/p/wsgi-intercept.patch: Dropped, included upstream.
  * d/p/libvirt-set-vlan-tag-for-macvtap.patch,
        libvirt-set-script-path.patch: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 13:08:36 +0100

nova (2:14.0.5-0ubuntu1) yakkety; urgency=medium

  [Saverio Proto]
  * New upstream point release for OpenStack Newton (LP: #1688557).

  [Corey Bryant]
  * SECURITY UPDATE: Failed notification payload is dumped in logs
    with auth secrets (LP: #1673569).
    - This is included from upstream in the 14.0.5 stable point release.
    - CVE-2017-7214

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 May 2017 08:37:32 -0400

nova (2:14.0.4-0ubuntu1.2) yakkety; urgency=medium

  * d/p/libvirt-set-vlan-tag-for-macvtap.patch: Pick dependent patch
    for fix for libvirt 1.3.1 compatibility (LP: #1665698).

 -- James Page <james.page@ubuntu.com>  Wed, 22 Mar 2017 15:46:21 +0000

nova (2:14.0.4-0ubuntu1.1) yakkety; urgency=medium

  * d/patches/libvirt-set-script-path.patch: Conditionally set
    the script path for ethernet vif types (LP: #1665698).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Mar 2017 09:21:19 +0000

nova (2:14.0.4-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1664306).
  * d/control: Bump python-rfc3986 version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 14:12:01 -0500

nova (2:14.0.2-0ubuntu1) yakkety; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1645772).
  * d/p/libvirt-add-hugepages-support-for-arm64.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Fri, 02 Dec 2016 10:46:31 -0500

=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
                      python-pymysql,
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 0.7.0),
-                     python-rfc3986 (>= 0.2.0),
+                     python-rfc3986 (>= 0.2.2),
                      python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
@@ -151,7 +151,7 @@
          python-psutil (>= 1.1.1),
          python-pymysql,
          python-requests (>= 2.10.0),
-         python-rfc3986 (>= 0.2.0),
+         python-rfc3986 (>= 0.2.2),
          python-routes (>= 1.12.3),
          python-setuptools (>= 16.0),
          python-six (>= 1.9.0),

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_install:
	# Fix any api sample template files with broken permissions
	find $(CURDIR)/debian/tmp -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./nova/tests/unit ostestr
endif

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api python-nova
Depends: nova-conductor, nova-cert, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-network, nova-console,
 nova-consoleauth, python-nova, rabbitmq-server
Restrictions: needs-root

## nova 14.1.0

=== requirements.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 requests>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT
 stevedore>=1.16.0 # Apache-2.0
-setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=34.3.3,>=16.0 # PSF/ZPL
+setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=34.3.3,!=36.2.0,>=16.0 # PSF/ZPL
 websockify>=0.8.0 # LGPLv3
 oslo.cache>=1.5.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0

=== debian/changelog ===
nova (2:14.1.0-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433-1.patch: implement power_off/power_on for the
      FakeDriver.
    - d/p/CVE-2019-14433-2.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Aug 2019 13:27:39 -0400

nova (2:14.1.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New stable point release for OpenStack Newton (LP: #1747067).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 14:58:10 -0500

nova (2:14.0.10-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New stable point release for OpenStack Newton (LP: #1736150).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 13:25:35 -0500

nova (2:14.0.8-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * New upstream point release for OpenStack Newton (LP: #1718033).
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Sep 2017 10:53:57 -0400

nova (2:14.0.7-0ubuntu2~cloud1) xenial-newton; urgency=medium

  * d/nova-common.postinst: Don't sync database if connection is not defined
    in /etc/nova/nova.conf (LP: #1713059).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 29 Aug 2017 16:09:54 -0300

nova (2:14.0.7-0ubuntu2~cloud0) xenial; urgency=medium

  * d/control: Drop Conflicts: nova-api for nova-placement-api binary
    package; it does not conflict with the consolidated nova-api
    binary and should be installed and configured prior to upgrade
    to OpenStack Ocata (LP: #1700677).

 -- James Page <james.page@ubuntu.com>  Thu, 10 Aug 2017 09:51:26 +0100

## nova 15.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
keystonemiddleware>=4.12.0 # Apache-2.0
lxml!=3.7.0,>=2.3 # BSD
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
WebOb>=1.6.0 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0 # LGPLv2.1+
Babel>=2.3.4 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
psutil>=3.0.1 # BSD
oslo.versionedobjects>=1.17.0 # Apache-2.0
os-brick>=1.8.0 # Apache-2.0
os-vif>=1.4.0 # Apache-2.0
os-win>=1.4.0 # Apache-2.0
castellan>=0.4.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0
os-xenapi>=0.1.1 # Apache-2.0

## nova 15.0.0%7eb2

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 decorator>=3.4.0 # BSD
 eventlet!=0.18.3,>=0.18.2 # MIT
-Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
-keystonemiddleware>=4.12.0 # Apache-2.0
-lxml!=3.7.0,>=2.3 # BSD
+Jinja2>=2.8 # BSD License (3 clause)
+keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
+lxml>=2.3 # BSD
 Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
 Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
@@ -22,11 +22,10 @@
 netifaces>=0.10.4 # MIT
 paramiko>=2.0 # LGPLv2.1+
 Babel>=2.3.4 # BSD
-enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 iso8601>=0.1.11 # MIT
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
 python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
-keystoneauth1>=2.18.0 # Apache-2.0
+keystoneauth1>=2.14.0 # Apache-2.0
 python-neutronclient>=5.1.0 # Apache-2.0
 python-glanceclient>=2.5.0 # Apache-2.0
 requests!=2.12.2,>=2.10.0 # Apache-2.0
@@ -42,20 +41,19 @@
 oslo.reports>=0.6.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.18.0 # Apache-2.0
-oslo.db>=4.15.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
 oslo.rootwrap>=5.0.0 # Apache-2.0
 oslo.messaging>=5.14.0 # Apache-2.0
 oslo.policy>=1.17.0 # Apache-2.0
 oslo.privsep>=1.9.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
-rfc3986>=0.3.1 # Apache-2.0
+rfc3986>=0.2.2 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
-psutil>=3.0.1 # BSD
+psutil<2.0.0,>=1.1.1 # BSD
 oslo.versionedobjects>=1.17.0 # Apache-2.0
 os-brick>=1.8.0 # Apache-2.0
-os-vif>=1.4.0 # Apache-2.0
-os-win>=1.4.0 # Apache-2.0
+os-vif>=1.3.0 # Apache-2.0
+os-win>=1.1.0 # Apache-2.0
 castellan>=0.4.0 # Apache-2.0
 microversion-parse>=0.1.2 # Apache-2.0
-os-xenapi>=0.1.1 # Apache-2.0
